unit sportsmen;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Grids, DBGrids, DBCtrls, StdCtrls, Buttons;

type
  TForm3 = class(TForm)
    Image1: TImage;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    DBGrid2: TDBGrid;
    DBLookupComboBox1: TDBLookupComboBox;
    Label1: TLabel;
    DBLookupComboBox2: TDBLookupComboBox;
    Label2: TLabel;
    DBLookupComboBox3: TDBLookupComboBox;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    Label4: TLabel;
    DBNavigator2: TDBNavigator;
    Button1: TButton;
    procedure DBLookupComboBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses datamodule, glavn, sooruzheniya, pasport;

{$R *.dfm}

procedure TForm3.DBLookupComboBox1Click(Sender: TObject);
begin
dm1.ADOQuery1.Filtered:=true;
dm1.ADOQuery1.Filter:='Вид_спорта='''+form3.DBLookupComboBox1.Text+'''';
end;

procedure TForm3.Button1Click(Sender: TObject);
begin
form7.show;
end;

end.
